# class Bundler::Thor::DynamicTask

A dynamic command that handles method missing scenarios.

### Public Class Methods

new(name, options = nil) click to toggle source
Calls superclass method `Bundler::Thor::Command::new`

    # File lib/bundler/vendor/thor/lib/thor/command.rb, line 122
    def initialize(name, options = nil)
      super(name.to_s, "A dynamically-generated command", name.to_s, name.to_s, options)
    end

### Public Instance Methods

run(instance, args = []) click to toggle source
Calls superclass method `Bundler::Thor::Command#run`

    # File lib/bundler/vendor/thor/lib/thor/command.rb, line 126
    def run(instance, args = [])
      if (instance.methods & [name.to_s, name.to_sym]).empty?
        super
      else
        instance.class.handle_no_command_error(name)
      end
    end